<script>
export default{
    name:'annonce-materiel',
    data:()=>({
        typeS: null,
        files: [],
        typeMateriel: ['choisir ...', 'pneumatique', 'habitacle', 'kit']
    })
}
</script>

<template>
  <div>
    <v-row>
        <v-col sm="12">
            <v-text-field 
            label="Nom du materiel"
            hide-details="auto"></v-text-field>
        </v-col>
    </v-row>
    <v-row>
        <v-col sm="12">
            <v-autocomplete
                v-model="typeS"
                :items="typeMateriel"
                dense
                filled
                label="type materiel"
            ></v-autocomplete>
        </v-col>
    </v-row>
    <v-row>
        <v-col sm="12">
            <v-text-field 
            label="Coût du materiel"
            hide-details="auto"></v-text-field>
        </v-col>
    </v-row>
    <v-row>
        <v-col sm="12">
            <v-text-field 
            label="Numéro de téléphone"
            hide-details="auto"></v-text-field>
        </v-col>
    </v-row>
    <v-row>
        <v-col sm="12">
            <v-file-input
                label="Selectionner des photos"
                color="deep-purple accent-4"
                counter
                v-model="files"
                multiple
                placeholder="Select your files"
                prepend-icon="mdi-paperclip"
                filled
                :show-size="1000"
            >
                <template v-slot:selection="{ index, text }">
                    <v-chip
                        v-if="index < 2"
                        color="deep-purple accent-4"
                        dark
                        label
                        small
                    >
                        {{ text }}
                    </v-chip>

                    <span
                        v-else-if="index === 2"
                        class="overline grey--text text--darken-3 mx-2"
                    >
                        +{{ files.length - 2 }} File(s)
                    </span>
                </template>
            </v-file-input>
        </v-col>
        </v-row>
        <v-row>
            <v-col sm="12">
                <v-textarea
                filled
                name="input-7-4"
                label="Description"
                value=""
                ></v-textarea>
            </v-col>
        </v-row>
        <v-row>
            <v-col sm="12">
                <v-btn flat color="primary">
                    Valider
                </v-btn>
            </v-col>
        </v-row>
  </div>
</template>
